Insider
Detect insider buying clusters
Auto-detects when multiple C-suite executives or directors are buying the same stock within a rolling time window. Only counts open-market purchases (transaction_code=‘P’) by officers or directors. Default: 3+ insiders within 14 days.
GET
/
v1
/
insider
/
clusters
Detect insider buying clusters
curl --request GET \
--url https://api.vintl.io/v1/insider/clusters \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.vintl.io/v1/insider/clusters"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.vintl.io/v1/insider/clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "insider_clusters",
"results": [
{
"ticker": "NVDA",
"issuer_name": "<string>",
"cluster_size": 3,
"total_shares": "150000",
"total_value": "1500000.00",
"date_first": "2023-11-07T05:31:56Z",
"date_last": "2023-11-07T05:31:56Z",
"insiders": [
{
"owner_name": "<string>",
"officer_title": "<string>",
"shares": "<string>",
"price_per_share": "<string>",
"transaction_date": "2023-11-07T05:31:56Z",
"is_director": true,
"is_officer": true
}
]
}
],
"results_count": 123,
"has_more": true
}{
"type": "https://macrodata.dev/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key is required. Set the X-API-Key header.",
"instance": "/v1/ping"
}Authorizations
API key prefixed with mda_live_sk_
Query Parameters
Minimum number of distinct insiders to qualify as a cluster
Required range:
x >= 1Rolling window in days
Required range:
1 <= x <= 365Required range:
1 <= x <= 1000Last modified on April 2, 2026
⌘I
Detect insider buying clusters
